#if !defined MENU_H_SINTENDO_MAY_13_2001
#define MENU_H_SINTENDO_MAY_13_2001

#include <ddraw.h>

const int SCREENX = 640;
const int SCREENY = 480;

const int FONTSIZE = 32;
const int SMALLFONTSIZE = 24;
const int BORDER = 64;

const int widthFIT = -1;
const int widthMAX = SCREENX - BORDER * 2;
const int heightFIT = -1;
const int heightMAX = (SCREENY - BORDER * 2) / FONTSIZE;		// 11

enum TextAlign { alignLEFT, alignCENTER };

extern LPDIRECTDRAWSURFACE4 iconCART;
extern LPDIRECTDRAWSURFACE4 iconFOLDER;
extern LPDIRECTDRAWSURFACE4 iconRESET;
extern LPDIRECTDRAWSURFACE4 iconCONTROLLER;
extern LPDIRECTDRAWSURFACE4 iconVIDEO;
extern LPDIRECTDRAWSURFACE4 iconRETURN;
extern LPDIRECTDRAWSURFACE4 iconLOAD;
extern LPDIRECTDRAWSURFACE4 iconSAVE;

struct OptionStruct {
	TCHAR text[64];
	LPDIRECTDRAWSURFACE4 icon;
	TextAlign align;
};

void SetupMenu(void);
int DoMenu(int nText, const TCHAR* text[], int nOptions, OptionStruct option[],
		   LPDIRECTDRAWSURFACE4 background = NULL, int width = widthMAX, 
		   int defselect = 0,
		   int height = heightFIT, bool allowcancel = false, bool allowinput = true);
void MessageBox(const TCHAR* message, bool allowinput = true);

#endif