// These functions are external functions I defined myself in snes9x/snes9x.h
//
// Kindof a mess, sorry, but it's much better than having to recompile all of snes9x
// in the instance that something here has to be changed - since this tends to be a very
// buggy area...

#include "global.h"
#include "snes9x/snes9x.h"
#include "Menu.h"

#ifdef FILEIO_USEWINCE
#include <windows.h>
#include <stdio.h>
#else
#include <stdio.h>
#endif


void* S9xOpenFile(const char *f, const char* m) {
// Use Windows CE
#ifdef FILEIO_USEWINCE
	TCHAR superstr[256];

#if defined UNDER_CE
	mbstowcs(superstr, f, 255);
#else
	strcpy(superstr, f);
#endif

	HANDLE ret = CreateFile(superstr, 
		GENERIC_READ, 
		0, 
		NULL, 
		OPEN_EXISTING, 
		FILE_ATTRIBUTE_NORMAL, 
		NULL);

#if defined DEBUG_FILEIO
	TCHAR str[256];
	_stprintf(str, _T("Opening File: %s"), superstr);
	MessageBox(str);
	memset(str, 0, 256);
	_stprintf(str, _T("Create file returned %i\00"), ret);
	MessageBox(str);
	memset(str, 0, 256);
	_stprintf(str, _T("GetLastError returned %i\00"), GetLastError());
	MessageBox(str);
#endif

	return (void*)ret;
#else
// Use stdio
#if defined DEBUG_FILEIO
	S9xMessage(0, 0, "Preparing to open file...");
#endif

	TCHAR superstr[256];
	TCHAR supermode[256];

#if defined UNDER_CE
	mbstowcs(superstr, f, strlen(f));
	mbstowcs(supermode, m, strlen(m));
#else
	strcpy(superstr, f);
	strcpy(supermode, m);
#endif

	FILE* ret = _tfopen(superstr, supermode);

#if defined DEBUG_FILEIO
	TCHAR str[256];
	_stprintf(str, _T("Opening file: %s"), f);
	MessageBox(str);
	_stprintf(str, _T("Open File	Returned %X"), ret);
	MessageBox(str);
#endif

	return (void*)ret;
#endif
}

unsigned long S9xReadFile(void *p, unsigned long l, const void* s) {
#ifdef FILEIO_USEWINCE
	unsigned long br = 0;
	bool tf = ReadFile((HANDLE)s, p, l, &br, NULL);

#if defined DEBUG_FILEIO
	char str[256];
	memset(str, 0, 256);
	sprintf(str, "Read file returned %s\00", br);//tf ? "true" : "false");
	S9xMessage(0, 0, str);
	memset(str, 0, 256);
	sprintf(str, "GetLastError returned %i\00", GetLastError());
	S9xMessage(0, 0, str);
	memset(str, 0, 256);
	sprintf(str, "Bytes Read: %li / %li\00", br, l);
	S9xMessage(0, 0, str);
#endif

	return br;

#else
	size_t br = 0;
	br = fread(p, 1, (size_t)l, (FILE*)s);

#if defined DEBUG_FILEIO
	char str[256];
	memset(str, 0, 256);
	sprintf(str, "Bytes Read: %li / %li\00", br, l);
	S9xMessage(0, 0, str);
#endif

	return (unsigned long)br;
#endif
}

unsigned long S9xWriteFile(const void *p, unsigned long l, const void *s) {
	// Don't do a thing
	return 0l;
}

void S9xCloseFile(const void* s) {
#ifdef FILEIO_USEWINCE
	CloseHandle((HANDLE)s);
#else
	fclose((FILE*)s);
#endif
}


